petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscObjectGetClassName

Gets the class name for any PetscObject

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectGetClassName(PetscObject obj, const char *classname[])

Not Collective

### Input Parameter

obj -any PETSc object, for example a Vec, Mat or KSP. Thus must be cast with a (PetscObject), for example, PetscObjectGetClassName((PetscObject)mat,&classname);

### Output Parameter

classname -the class name

Level:developer
Location:src/sys/objects/gcookie.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages